-include Makefile.specific

CUR_DIR := $(shell pwd)

WRTD_DEP_TRTL_FW   ?= $(CUR_DIR)/../../../dependencies/mock-turtle/software/firmware
WRTD_DEP_GEN_CORES ?= $(CUR_DIR)/../../../dependencies/general-cores

EXTRA2_CFLAGS += # To be set by user on make line
EXTRA_CFLAGS  += $(EXTRA2_CFLAGS)
EXTRA_CFLAGS  += -I$(CUR_DIR)/../../include
EXTRA_CFLAGS  += -I$(CUR_DIR)/../common

all:

# Redirect all rules to MockTurtle
%:
	$(MAKE) -C $(WRTD_DEP_TRTL_FW) M=$(shell /bin/pwd) \
		GEN_CORES=$(WRTD_DEP_GEN_CORES) EXTRA_CFLAGS="$(EXTRA_CFLAGS)" $@
